Subject: 15801: commit identified

From: Jarek Czekalski <[email-masked]>
Date: Tue, 05 Nov 2013 13:57:01 +0100

I isolated the commit that causes the problem on my machine:

revno: 112859
committer: Paul Eggert <>
branch nick: trunk
timestamp: Wed 2013-06-05 10:04:13 -0700
message:
   Chain glib's SIGCHLD handler from Emacs's (Bug#14474).

   * process.c (dummy_handler): New function.
   (lib_child_handler): New static var.
   (handle_child_signal): Invoke it.
   (catch_child_signal): If a library has set up a signal handler,
   save it into lib_child_handler.
   (init_process_emacs): If using glib and not on Windows, tickle glib's
   child-handling code so that it initializes its private SIGCHLD handler.
   * syssignal.h (SA_SIGINFO): Default to 0.
   * xterm.c (x_term_init): Remove D-bus hack that I installed on May
   31; it should no longer be needed now.

I guess the next step would be isolating the single change.

Jarek